Package org.apache.sysds.runtime.controlprogram.parfor.opt

## Class OptTreePlanMappingAbstract

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanMapping
  - - org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanMappingAbstract

    public class OptTreePlanMappingAbstract
    extends OptTreePlanMapping

### Constructor Summary

Constructors
`OptTreePlanMappingAbstract()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`Hop` `getMappedHop​(long id)`
`Object[]` `getMappedProg​(long id)`
`ProgramBlock` `getMappedProgramBlock​(long id)`
`Object[]` `getRootProgram()`
`long` `putHopMapping​(Hop hops, OptNode n)`
`long` `putProgMapping​(StatementBlock sb, ProgramBlock pb, OptNode n)`
`void` `putRootProgram​(DMLProgram prog, Program rtprog)`
`void` `replaceMapping​(ProgramBlock pb, OptNode n)`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanMapping

`getMappedParentID, getOptNode`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptTreePlanMappingAbstract

    public OptTreePlanMappingAbstract()

### Method Detail

#### putRootProgram

    public void putRootProgram​(DMLProgram prog,
                               Program rtprog)

#### putHopMapping

    public long putHopMapping​(Hop hops,
                              OptNode n)

#### putProgMapping

    public long putProgMapping​(StatementBlock sb,
                               ProgramBlock pb,
                               OptNode n)

#### getRootProgram

    public Object[] getRootProgram()

#### getMappedHop

    public Hop getMappedHop​(long id)

#### getMappedProg

    public Object[] getMappedProg​(long id)

#### getMappedProgramBlock

    public ProgramBlock getMappedProgramBlock​(long id)

#### replaceMapping

    public void replaceMapping​(ProgramBlock pb,
                               OptNode n)

#### clear

    public void clear()

Overrides:
  `clear` in class `OptTreePlanMapping`